legacy software

  1. B S Magnet

    SnowChecker: a Snow Leopard Compatibility Checker

    In lieu of a wiki thread on here for applications and peripherals which are known to be compatible for Snow Leopard (i.e., having a "The Snow Leopard Thread”), I have found a wiki elsewhere (and a companion utility which checks the table of that wiki) which affords one with a means to check...
  2. dawindmg08

    Install older OSX from disc to external drive under Mojave?

    Long story short: I need to reinstall FCP 7 so I can help a client while they transition to Premiere Pro (and need to refresh my memory of that software), but I've upgraded almost every Mac at my disposal to Mojave! I was planning on installing one of the older versions of OSX I have on disc to...
  3. T

    Circa 1993-94 looking to convert files

    Hello, my brother passed along a tremendous amount of work I had done back in the early 1990's and saved into text and picture files. I believe I was using a program called Lightning Paint (Mac Paint type of program) and can't even imagine what word processing software I had back then. My iMac...
  4. Chinch

    Mac Pro 2,1 upgrade to 3,1 - Software Compatibility ?

    Hello, (my first post, please be patient if I don't get things quite right yet) I currently run a Mac Pro 2,1 (OS 10.6.8) which I am considering to replace with a Mac Pro 3,1. Even though the 2,1 is 64-bit architecture (but 32-bit EFI) it runs quite successfully some of my old 32-bit software...
  5. S

    Installing Safari 9 in macOS Sierra?

    Hello all! I'm a web / software developer and a client is reporting bugs in Safari 9. A friend that has Safari 9 was able to reproduce the issue, but I need to actually look at the page / javascript errors / etc myself to figure out what's going on / debug / test. I've googled of course, and...